/* 
 * 
 * Home Health Grouper PDGM (Patient-Driven Grouping Model)
 * 
 * Developed for the Center for Medicare and Medicaid Services (CMS)
 * by 3M Health Information Systems.
 * 
 * All code is provided as is.
 * 
 */
package com.mmm.cms.hh.pdgm.claim;

import com.mmm.cms.hh.pdgm.common.abstr.EditableIF;
import com.mmm.cms.hh.pdgm.data.meta.enumer.Oasis_EN;
import com.mmm.cms.hh.pdgm.common.abstr.ValuableIF;

/**
 *
 * @author US340646
 */
public interface OasisResponseIF extends ValuableIF, EditableIF {

    /**
     * @return the type
     */
    Oasis_EN getType();

    /**
     * @return the value
     */
    @Override
    String getValue();

    /**
     * @param type the type to set
     */
    void setType(Oasis_EN type);

    /**
     * @param value the value to set
     */
    @Override
    void setValue(String value);
 
    /**
     * @return the score
     */
    public int getScore();

    /**
     * @param score the score to set
     */
    public void setScore(int score);
    
}
