/* 
 * 
 * Home Health Grouper PDGM (Patient-Driven Grouping Model)
 * 
 * Developed for the Center for Medicare and Medicaid Services (CMS)
 * by 3M Health Information Systems.
 * 
 * All code is provided as is.
 * 
 */
package com.mmm.cms.hh.pdgm.logic.validation;

import com.mmm.cms.hh.pdgm.data.meta.enumer.EditType_EN;
import com.mmm.cms.hh.pdgm.common.abstr.DescribableIF;
import com.mmm.cms.hh.pdgm.data.meta.enumer.EditId_EN;
import java.util.logging.Level;

/**
 *
 * @author US340646
 */
public interface EditIF extends DescribableIF{

    /**
     *
     * @return
     */
    EditId_EN getId();

    /**
     *
     * @param id
     */
    void setId(EditId_EN id);

    /**
     *
     * @return
     */
    EditType_EN getType();

    /**
     *
     * @param type
     */
    void setType(EditType_EN type);

    /**
     *
     * @return
     */
    Level getServerityLevel();

    /**
     *
     * @param level
     */
    void setServerityLevel(Level level);
}
